import { T as Trans, G as GlobalPath, f as Button } from "./index.js";
import { s as sadGuy } from "./sadGuy.js";
import { s as starBgGradient } from "./starBgGradient.js";
import React__default from "react";
import { Link } from "react-router-dom";
import "./ErrorPage.js";
import "./dateFns.js";
import "./validator.js";
import "./reactPlayer.js";
import "./reactSlick.js";
class ErrorNetworkPage extends React__default.Component {
  render() {
    return /* @__PURE__ */ React__default.createElement("div", {
      className: "errorPage",
      style: { backgroundImage: `url(${starBgGradient})` }
    }, /* @__PURE__ */ React__default.createElement("div", {
      className: "errorPageContentWrapper"
    }, /* @__PURE__ */ React__default.createElement("div", {
      className: "errorPageContent"
    }, /* @__PURE__ */ React__default.createElement("div", {
      className: "errorPageText errorNetwork"
    }, /* @__PURE__ */ React__default.createElement("div", {
      className: "errorPageIconWrapper"
    }, /* @__PURE__ */ React__default.createElement("img", {
      src: sadGuy,
      alt: "sad guy so mellow",
      loading: "lazy"
    })), /* @__PURE__ */ React__default.createElement("h3", {
      className: "textSubHeading"
    }, /* @__PURE__ */ React__default.createElement(Trans, {
      i18nKey: "ErrorNetwork.heading"
    }, "Network Error")), /* @__PURE__ */ React__default.createElement("div", {
      className: "textContent"
    }, /* @__PURE__ */ React__default.createElement(Trans, {
      i18nKey: "ErrorNetwork.textContent"
    }, /* @__PURE__ */ React__default.createElement("p", null, "Looks like you're having network issues."), /* @__PURE__ */ React__default.createElement("p", null, "Please check your internet connection and try again.")), /* @__PURE__ */ React__default.createElement("div", {
      className: "buttonWrapper"
    }, /* @__PURE__ */ React__default.createElement(Link, {
      to: GlobalPath.Home.link
    }, /* @__PURE__ */ React__default.createElement(Button, {
      className: "btn btn-primary"
    }, /* @__PURE__ */ React__default.createElement(Trans, {
      i18nKey: "ErrorNetwork.buttonAction"
    }, "Back To Home")))))))));
  }
}
export { ErrorNetworkPage as default };
